hOpenPGP-2.9.8: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Encryption.OpenPGP.SecretKey

Synopsis

- decryptPrivateKey :: (PKPayload, SKAddendum) -> ByteString -> SKAddendum
- encryptPrivateKey :: ByteString -> IV -> SKAddendum -> ByteString -> SKAddendum
- encryptPrivateKeyIO :: SKAddendum -> ByteString -> IO SKAddendum
- reencryptSecretKeyIO :: SecretKey -> ByteString -> IO SecretKey

# Documentation

decryptPrivateKey :: (PKPayload, SKAddendum) -> ByteString -> SKAddendum Source #

encryptPrivateKey :: ByteString -> IV -> SKAddendum -> ByteString -> SKAddendum Source #

8-octet salt, IV must be length of cipher blocksize

encryptPrivateKeyIO :: SKAddendum -> ByteString -> IO SKAddendum Source #

generates pseudo-random salt and IV

reencryptSecretKeyIO :: SecretKey -> ByteString -> IO SecretKey Source #